event: cancel
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
This action allows the organizer of a meeting to send a cancellation message and cancel the event.
The action moves the event to the Deleted Items folder. The organizer can also cancel an occurrence of a recurring meeting by providing the occurrence event ID. An attendee calling this action gets an error (HTTP 400 Bad Request), with the following error message:
"Your request can't be completed. You need to be an organizer to cancel a meeting."
This action differs from Delete in that Cancel is available to only the organizer, and lets the organizer send a custom message to the attendees about the cancellation.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Calendars.ReadWrite |
| Delegated (personal Microsoft account) | Calendars.ReadWrite |
| Application | Calendars.ReadWrite |
HTTP request
POST /me/events/{id}/cancel
POST /users/{id | userPrincipalName}/events/{id}/cancel
POST /groups/{id}/events/{id}/cancel
POST /me/calendar/events/{id}/cancel
POST /users/{id | userPrincipalName}/calendar/events/{id}/cancel
POST /groups/{id}/calendar/events/{id}/cancel
POST /me/calendars/{id}/events/{id}/cancel
POST /users/{id | userPrincipalName}/calendars/{id}/events/{id}/cancel
POST /me/calendargroups/{id}/calendars/{id}/events/{id}/cancel
POST /users/{id | userPrincipalName}/calendargroups/{id}/calendars/{id}/events/{id}/cancel
Request headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer {token}. Required. |
| Content-Type | string | Nature of the data in the body of an entity. Required. |
Request body
In the request body, provide a JSON object with the following parameters.
| Parameter | Type | Description |
|---|---|---|
| comment | String | A comment about the cancellation sent to all the attendees. Optional. |
Response
If successful, this method returns 202 Accepted response code. It does not return anything in the response body.
Example
Here is an example of how to call this API.
Request
Here is an example of the request.
POST https://graph.microsoft.com/beta/me/events/{id}/cancel
Content-type: application/json
{
"Comment": "Cancelling for this week due to all hands"
}
Response
Here is an example of the response.
HTTP/1.1 202 Accepted
Feedback
Submit and view feedback for